package pracownicy;

import java.util.List;

public class P6_MinMax_v2 {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("pracownicy.csv");
		
		if(emps.isEmpty()) {
			System.out.println("Brak danych");
			return;
		}
		
		Employee min = emps.get(0);
		Employee max = emps.get(0);
		
		for (Employee emp : emps) {
			if(emp.getSalary() > max.getSalary()) {
				max = emp;
			}
			if(emp.getSalary() < min.getSalary()) {
				min = emp;
			}
		}
		
		System.out.printf("Najbogatszy: %s %s (%s), $%d\n", max.getFirstName(), max.getLastName(), max.getJobTitle(), max.getSalary());

		System.out.printf("Najbiedniejszy: %s %s (%s), $%d\n", min.getFirstName(), min.getLastName(), min.getJobTitle(), min.getSalary());
	}

}
